Move Example |
Using Programming Languages other than VBA
Sub Example_Move() ' This example creates a circle and then performs ' a move on that circle. ' Create the circle Dim circleObj As AcadCircle Dim center(0 To 2) As Double Dim radius As Double center(0) = 2#: center(1) = 2#: center(2) = 0# radius = 0.5 Set circleObj = ThisDrawing.ModelSpace.AddCircle(center, radius) ZoomAll ' Define the points that make up the move vector Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double point1(0) = 0: point1(1) = 0: point1(2) = 0 point2(0) = 2: point2(1) = 0: point2(2) = 0 MsgBox "Move the circle 2 units in the X direction.", , "Move Example" ' Move the circle circleObj.Move point1, point2 ZoomAll MsgBox "Move completed.", , "Move Example" End Sub
Comments? |